\name{ss.cons.binom.avg.q.mymarg}
\alias{ss.cons.binom.avg.q.mymarg}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{  Plot visited sample sizes vs outcome}
\description{  This function plots the visited sample sizes (along the search for optimal sample size) vs the calculated outcome.}
\usage{
ss.cons.binom.avg.q.mymarg(quantiles, accepted.pdiff, prior1, prior2, clinical.prior, n.start = 1000, n.max = 1e+07)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{quantiles}{
One or more quantiles at which the two posterior distributions are to be compared.
}
  \item{accepted.pdiff}{
The accepted difference between the two <A>; any difference below that value is considered as meeting the consensus criterion.
}
  \item{prior1}{
Prior distribution \emph{#1} parameters. (See \emph{Details} section for more.)
}
  \item{prior2}{
Prior distribution \emph{#2} parameters. (See \emph{Details} section for more.)
}
  \item{clinical.prior}{
Clinical prior distribution parameters. The clinical prior is the prior used to generate the data used for subsequent updating of the prior distributions to be compared. (See \emph{Details} section.)
}
  \item{n.start}{
Initial sample size used in the search for optimal sample size.
}
  \item{n.max}{
Maximum sample size allowed in the search for optimal sample size.
}
}
\details{
  Prior distribution (\code{prior1}, \code{prior2} and \code{clinical.prior}) must be specified through a list with parameters \code{alpha} and \code{beta},
  respectively, the first and second parameters of the Beta distribution for the binomial proportion.
}
\value{  A figure.}
\references{
  Lawrence Joseph and Patrick Belisle\cr
  Bayesian consensus-based sample size criteria for binomial proportions\cr
  Statistics in Medicine; 2019\cr
}
\author{  Lawrence Joseph \email{lawrence.joseph\@mcgill.ca} and Patrick Belisle}


%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
\code{\link{ss.plot}}, \code{\link{ss.cons.binom.avg.q}}, \code{\link{ss.cons.binom.avg.q.bothmarg}}, \code{\link{ss.cons.binom.prob.q}},
   \code{\link{ss.cons.binom.prob.q.bothmarg}}, \code{\link{ss.cons.binom.prob.q.mymarg}}, \code{\link{ss.cons.binom.worst.q}},
   \code{\link{ss.cons.binom.avg.cdf}}, \code{\link{ss.cons.binom.avg.cdf.bothmarg}}, \code{\link{ss.cons.binom.avg.cdf.mymarg}}, \code{\link{ss.cons.binom.prob.cdf}},
   \code{\link{ss.cons.binom.prob.cdf.bothmarg}}, \code{\link{ss.cons.binom.prob.cdf.mymarg}}, \code{\link{ss.cons.binom.worst.cdf}},
   \code{\link{ss.cons.binom.avg.hpdlimits}}, \code{\link{ss.cons.binom.avg.hpdlimits.bothmarg}}, \code{\link{ss.cons.binom.avg.hpdlimits.mymarg}},
   \code{\link{ss.cons.binom.prob.hpdlimits}}, \code{\link{ss.cons.binom.prob.hpdlimits.bothmarg}}, \code{\link{ss.cons.binom.prob.hpdlimits.mymarg}},
   \code{\link{ss.cons.binom.worst.hpdlimits}}
}
\examples{
accepted.pdiff <- 0.005
clinical.prior     <- list(alpha= 36.59608, beta= 5.648309)   # 95% CI:  .75 - .95
prior1 <- list(alpha=116.064,   beta=12.04506)    # 95% CI:  .85 - .95
quantiles <- c(0.25, .75)
prior2    <- list(alpha=194.0375,  beta=47.79375)    # 95% CI:  .75 - .85
z <- ss.cons.binom.avg.q.mymarg(quantiles, accepted.pdiff, prior1, prior2, clinical.prior)
z$n
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
